osmium-tool (1.13.2-1ubuntu1) jammy; urgency=medium

  * Cherry-pick upstream commit, switching to catch2 (CTest) to fix FTBFS with
    glibc 2.34 (db7cf4e7e955d433363bbd0ed8bcb4131dd7499a)

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 20 Jan 2022 14:02:12 +0100

osmium-tool (1.13.2-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file for GitHub URL changes.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, no changes.
  * Update lintian overrides.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 06 Oct 2021 05:53:15 +0200

osmium-tool (1.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 01 Feb 2021 15:17:26 +0100

osmium-tool (1.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Update lintian overrides.
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.
  * Bump minimum required libosmium2-dev to 2.16.0.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Jan 2021 17:14:16 +0100

osmium-tool (1.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.15.6.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 28 Jun 2020 08:04:50 +0200

osmium-tool (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop Name field from upstream metadata.
  * Bump Standards-Version to 4.5.0, no changes.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Update copyright years for Jochen Topf.
  * Add lintian overrides for manpage-without-executable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 21 Apr 2020 21:24:04 +0200

osmium-tool (1.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.
  * Drop spelling-errors.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 21 Nov 2019 05:24:55 +0100

osmium-tool (1.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.0, no changes.
  * Append -DNDEBUG to CXXFLAGS to remove buildpath from binaries.
  * Update gbp.conf to use --source-only-changes by default.
  * Update copyright years for Jochen Topf.
  * Bump minimum required libosmium2-dev to 2.15.2.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 Sep 2019 06:25:36 +0200

osmium-tool (1.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 10 Dec 2018 16:54:26 +0100

osmium-tool (1.9.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.2.1, no changes.
  * Add upstream patches to fix FTBFS with libosmium 2.15.0.
    (closes: #916109)
  * Bump minimum required libosmium2-dev to 2.15.0.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 10 Dec 2018 12:20:36 +0100

osmium-tool (1.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop spelling-errors.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 18 Aug 2018 20:03:38 +0200

osmium-tool (1.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.2.0, no changes.
  * Bump minimum required libosmium2-dev to 2.14.2.
  * Update spelling-errors.patch to fix 'described' typo.
  * Update watch file to limit matches to archive path.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 12 Aug 2018 08:40:56 +0200

osmium-tool (1.8.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.5, no changes.
  * Strip trailing whitespace from control & rules files.
  * Use filter instead of findstring to prevent partial matches.
  * Update osmcode.org URLs to use HTTPS.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 10:52:52 +0200

osmium-tool (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright-format URL to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.3, no changes.
  * Bump minimum required libosmium2-dev to 2.14.0.
  * Drop manpages-install.patch, applied upstream.
  * Update copyright years for Jochen Topf.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 31 Mar 2018 21:49:56 +0200

osmium-tool (1.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.13.1.
  * Add patch to fix manpage installation.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 26 Aug 2017 09:00:12 +0200

osmium-tool (1.7.0-2) unstable; urgency=medium

  * Ignore test failures on mips64el.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 16 Aug 2017 23:21:31 +0200

osmium-tool (1.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.13.0.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 15 Aug 2017 19:33:10 +0200

osmium-tool (1.6.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Jun 2017 20:56:07 +0200

osmium-tool (1.6.1-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 12:39:49 +0200

osmium-tool (1.6.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.12.1.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 10 Apr 2017 19:57:22 +0200

osmium-tool (1.6.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.12.0.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Mar 2017 19:03:31 +0100

osmium-tool (1.5.1-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Jan 2017 17:46:15 +0100

osmium-tool (1.5.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop spelling-errors.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Jan 2017 16:46:03 +0100

osmium-tool (1.5.0-1~exp2) experimental; urgency=medium

  * Bump minimum required libosmium2-dev to 2.11.0.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Jan 2017 00:38:26 +0100

osmium-tool (1.5.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright years for Jochen Topf.
  * Include extract config examples.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 18 Jan 2017 20:35:07 +0100

osmium-tool (1.4.1-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 21 Nov 2016 07:19:28 +0100

osmium-tool (1.4.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 20 Nov 2016 19:58:02 +0100

osmium-tool (1.4.0-3~exp1) experimental; urgency=medium

  * Add patch for libosmium 2.10.2 support.
  * Bump minimum required libosmium2-dev to 2.10.2.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 17 Nov 2016 19:58:08 +0100

osmium-tool (1.4.0-2) unstable; urgency=medium

  * Ignore test failures on problematic architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 16 Sep 2016 20:25:16 +0200

osmium-tool (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Homepage URL.
  * Include CONTRIBUTING.md in docs.
  * Update copyright file, changes:
    - Rename MIT license shortname to Expat
    - Add THL A29 Limited to copyright holders for msinttypes files
  * Bump minimum required libosmium2-dev to 2.9.0.
  * Drop output-typo.patch, applied upstream.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 15 Sep 2016 16:35:18 +0200

osmium-tool (1.3.1-2) unstable; urgency=medium

  * Rebuild with libosmium 2.8.0, for long strings overflow fix.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 08 Aug 2016 15:54:59 +0200

osmium-tool (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file, update copyright years for Jochen Topf.
  * Drop spelling-errors.patch, applied upstream.
  * Add patch to fix 'output' typo.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Jun 2016 21:23:37 +0200

osmium-tool (1.3.0-2) unstable; urgency=medium

  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.8, no changes.
  * Update watch file to handle more tag conventions in filenamemangle.
  * Enable all hardening buildflags.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Jun 2016 17:44:22 +0200

osmium-tool (1.3.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Dec 2015 14:21:36 +0100

osmium-tool (1.3.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.5.3.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 18 Nov 2015 22:57:28 +0100

osmium-tool (1.2.1-2) unstable; urgency=medium

  * Don't ignore test failures any more, all fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 02 Sep 2015 16:53:52 +0200

osmium-tool (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.4.1.
  * Update Vcs-Browser URL to use HTTPS.
  * Drop big-endian-fileinfo-test.patch, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 31 Aug 2015 16:15:53 +0200

osmium-tool (1.2.0-2) unstable; urgency=medium

  * Restore big-endian-fileinfo-test.patch, not fixed upstream.
  * Ignore test failures to not fail the entire build.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 23 Aug 2015 11:55:32 +0200

osmium-tool (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop build dependencies on osmpbf & protobuf.
  * Bump minimum required libosmium2-dev to 2.3.0.
  * Update copyright file, add license & copyright for catch.hpp.
  * Drop patches, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 21 Aug 2015 21:05:48 +0200

osmium-tool (1.1.1-2) unstable; urgency=medium

  * Add patch to fix test failure on big endian architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 21 Jul 2015 21:56:07 +0200

osmium-tool (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Add license & copyright for RapidJSON includes.
  * Drop reproducible-build.patch, fixed upstream.
  * Require at least libosmium version 2.2.0.
  * Add lintian override for license-problem-json-evil false positive.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 21 Jul 2015 07:43:37 +0200

osmium-tool (1.0.1-2) unstable; urgency=medium

  * Add patch by Chris Lamb for reproducible build.
    (closes: #790087)
  * Handle other extensions in filenamemangle.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Jun 2015 11:11:47 +0200

osmium-tool (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #779938)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Jun 2015 21:34:31 +0200
